Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Toute la communauté vous remercie

[Plugin Tiers][Sujet Principal] Kroomba

Pour échanger sur les plugins classés en catégorie "Objets connectés"
Tommaximmo
Timide
Messages : 5
Inscription : 14 avr. 2019, 09:13

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Tommaximmo » 14 avr. 2019, 09:17

Bonjour,
Je ne sais pas si ce plugin est encore maintenu mais dans le doute.. je viens de réinstaller jeedom de zéro et à l'installation du plugin kroomba, j'ai l'erreur suivante sur les dépendances :

--0%
Lancement de l'installation/mise à jour des dépendances K Roomba
--20%
Not uninstalling six at /usr/lib/python2.7/dist-packages, outside environment /usr
Requirement already satisfied: six in /usr/lib/python2.7/dist-packages
Uninstalling paho-mqtt-1.4.0:
Successfully uninstalled paho-mqtt-1.4.0
Collecting paho-mqtt
Installing collected packages: paho-mqtt
Successfully installed paho-mqtt-1.4.0
--50%
Cloning into 'Roomba980-Python'...
Collecting roomba
Could not find a version that satisfies the requirement roomba (from versions: )
No matching distribution found for roomba
--100%
Installation des dépendances K-Roomba terminée.

Quelqu'un aurait-il rencontré un problème similaire ?
D'avance merci

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 14 avr. 2019, 09:31

Bonjour,
Je maintiens bien le plugin mais çà fait longtemps que je n'ai pas fait de modifs.
J'ai eu exactement les mêmes messages d'erreur sur un RPI3 je me préparais à modifier le script d'installation mais à ma grande surprise ensuite le plugin fonctionnait donc je n'ai pas cherché plus loin. Peux-tu voir en mettant le plugin en debug si les commandes fonctionnent bien ou pas et me le dire.
Un point qui est surement à revoir avec la mise à Jour de Jeedom c'est le widget qui ne se met pas à jour comme il faudrait car il n'a pas de fonction d'update. Je me pencherai sur ce point dès que je pourrai.

Tommaximmo
Timide
Messages : 5
Inscription : 14 avr. 2019, 09:13

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Tommaximmo » 14 avr. 2019, 09:41

Hello, merci pour la réactivité et content de savoir que le plugin a été repris ;)
En debug pas plus d'élément sur la partie dep.
Je confirme que je suis sur rpi3.
Chose que je n'ai effectivement pas dit c'est que la recherche et ajout du roomba est ok mais les commandes sont ko :

[2019-04-14 09:36:34][DEBUG] : cd /var/www/html/plugins/kroomba/resources && python roombaCmd.py start "192.168.1.15" "****************" ":1:1550776949:*****SokGvW6WzAS*******" : cd /var/www/html/plugins/kroomba/resources && python roombaCmd.py start "192.168.1.15" "3164420C52224870" "****"
[2019-04-14 09:36:35][DEBUG] : cd /var/www/html/plugins/kroomba/resources && python roombaStatus.py "192.168.1.15" "3164420*********" ":1:1550776949:oUEh6SokG*******" : cd /var/www/html/plugins/kroomba/resources && python roombaStatus.py "192.168.1.15" "3164420C5*******" "****"
[2019-04-14 09:36:35][DEBUG] : Result : No handlers could be found for logger "roomba.__main__"paho mqtt client not foundCV or numpy module not found, falling back to PILPlease install paho-mqtt 'pip install paho-mqtt' to use this libraryTraceback (most recent call last): File "roombaStatus.py", line 25, in <module> myroomba.connect() File "/var/www/html/plugins/kroomba/resources/roomba/roomba.py", line 291, in connect if not self._connect(): File "/var/www/html/plugins/kroomba/resources/roomba/roomba.py", line 321, in _connect if exc_type == socket.error or exc_type == ConnectionRefusedError:NameError: global name 'ConnectionRefusedError' is not defined
[2019-04-14 09:36:35][DEBUG] : Wrong answer: Array ( )

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 14 avr. 2019, 10:05

Merci pour la réponse, je vais me pencher sur le problème.
Edit : je viens de faire un essai et il me semble que les commandes info marchent mais que les commandes actions sont KO. Comme les commandes info marchaient je n'avais pas repéré le problème.

Tommaximmo
Timide
Messages : 5
Inscription : 14 avr. 2019, 09:13

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Tommaximmo » 14 avr. 2019, 10:19

OK merci. De mon côté, je n'ai pas de retour sur les commandes infos.

opack
Timide
Messages : 5
Inscription : 02 janv. 2019, 01:16

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par opack » 14 avr. 2019, 18:44

Hello !

Ca va pas faire avancer le schmilblik, mais j'ai pareil de mon côté ;-) Juste pour préciser que ce que rencontre Tommaximmo n'est pas un cas isolé ;-)

Bon courage jiminy, et merci d'avance ! :-D

jfenond
Timide
Messages : 1
Inscription : 17 avr. 2019, 09:20

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jfenond » 17 avr. 2019, 10:09

Bonjour,

J'ai exactement le même problème d'installation des dépendances que Tommaximmo.

Si je peux aider, dites moi ce que je peux faire, tout en sachant que je découvre Jeedom.

Draky_41
Timide
Messages : 7
Inscription : 22 avr. 2019, 10:26

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Draky_41 » 22 avr. 2019, 10:28

Bonjour à tous,

Même problème:

--0%
Lancement de l'installation/mise à jour des dépendances K Roomba
--20%
Not uninstalling six at /usr/lib/python2.7/dist-packages, outside environment /usr
Requirement already satisfied: six in /usr/lib/python2.7/dist-packages
Uninstalling paho-mqtt-1.4.0:
Successfully uninstalled paho-mqtt-1.4.0
Collecting paho-mqtt
Installing collected packages: paho-mqtt
Successfully installed paho-mqtt-1.4.0
--50%
Clonage dans 'Roomba980-Python'...
Collecting roomba
Could not find a version that satisfies the requirement roomba (from versions: )
No matching distribution found for roomba
--100%
Installation des dépendances K-Roomba terminée.


Je suis le sujet ;)

Didi Taker
Timide
Messages : 10
Inscription : 02 nov. 2017, 09:33

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Didi Taker » 03 mai 2019, 12:13

Bonjour,

Je suis dans la même situation que vous, le plugin fonctionné il y a un an avec le même roomba (je suis en plein déménagement) et je viens d'essayer de le reconnecter à mon jeedom, sans succès :(

--0%
Lancement de l'installation/mise à jour des dépendances K Roomba
--20%
Not uninstalling six at /usr/lib/python2.7/dist-packages, outside environment /usr
Requirement already satisfied: six in /usr/lib/python2.7/dist-packages
Uninstalling paho-mqtt-1.4.0:
Successfully uninstalled paho-mqtt-1.4.0
Collecting paho-mqtt
Installing collected packages: paho-mqtt
Successfully installed paho-mqtt-1.4.0
--50%
Cloning into 'Roomba980-Python'...
Collecting roomba
Could not find a version that satisfies the requirement roomba (from versions: )
No matching distribution found for roomba
--100%
Installation des dépendances K-Roomba terminée.


Merci d'avance

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 03 mai 2019, 15:28

Bonjour à tous,
Un petit message pour dire que je ne reste pas inactif mais aussi que je me sens parfois un peu stupide
Je suis resté bloqué sur ce message "Could not find a version that satisfies the requirement roomba (from versions: )" lors de l'installation des dépendances. Je savais qu'il provenait de la ligne "pip install --user roomba" dans mon script resources/install_apt.sh et ce matin je me suis connecté en ssh à mon Jeedom de test pour installer à la main les dépendances histoire d'essayer de comprendre ce qui se passait et pourquoi avant çà ne faisait pas çà. Et bien sûr en tapant "pip install --user roomba" même message d'erreur. Je me ssuis allors dit que j'avais fait une erreur quand j'ai créé ce fichier install_apt.sh pour séparer l'installation des dépendances du reste du code. Et en comparant sur mon Github l'ancienne version de kavod avec la mienne, j'ai eu une surprise:
https://github.com/jmvedrine/kroomba/co ... 14e7f1b29b
Je ne sais pas si vous voyez mais dans l'ancienne version la commande pip install --user roomba est commentée donc je n'aurais pas dû l'inclure dans mon script! Et donc aussi ce message d'erreur n'a rien à voir avec le problème j'étais parti sur une fausse piste et j'ai perdu du temps bêtement.
Il faut dire que je ne suis pas très fort en Python (et les progs associés du type pip) je suis beaucoup plus à l'aise en php.
Il faut maintenant que je me penche sur ce qui se passe lors de l'appel à roombaStatus.py

Draky_41
Timide
Messages : 7
Inscription : 22 avr. 2019, 10:26

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Draky_41 » 13 mai 2019, 07:54

Merci pour ton retour, on attend les nouvelles alors ;)

Tommaximmo
Timide
Messages : 5
Inscription : 14 avr. 2019, 09:13

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Tommaximmo » 15 mai 2019, 21:09

Hello,
Ne pas hésiter si besoin d'aide sur l'analyse ou besoin de réaliser des tests.
Bon courage

pykforum
Timide
Messages : 5
Inscription : 28 mai 2019, 18:07

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par pykforum » 08 juin 2019, 08:02

Salut,
Je viens d'essayer d'installer le plug in (avant de lire ce post, forcément ;)) et je rencontre effectivement le même problème.
J'espère que tu t'en sors, Jiminy, et, si il est possible de t'aider, n'hésite pas à demander! (bon mon niveau de compétence se résumera à t'envoyer des logs, mais c'est déjà ça!)

Bon courage

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 16 juin 2019, 10:23

Bon j'ai poussé une mise à jour (la stable et la béta sont identiques donc prenez de préférence la stable)
Selon mes tests çà corrige le problème. Il faut réinstaller les dépendances (ne vous en faites pas si la date de mise à jour des dépendances ne chnage pas, c'est un bug connu du plugin).
Ensuite chez moi tout semble marcher: un clic sur le bouton découvrir les Roombas dans la page de configuration créé bien l'équipement avec la bonne IP et le bon "Nom du Roomba" qui est une suite de chiffres ensuite il faut cliquer sur le bouton "Récupérer le mot de passe" et bien suivre les instructions. Pendant mes tests il est arrivé que je doive faite plusieurs fois cette étape de récupération du mot de passe avant que çà marche mais chez moi j'y suis toujours arrivé (testé avec Roomba 960 et plusieurs installation de Jeedom).
Sur une de mes Jeedoms, je ne sais pas pourquoi mais j'ai dû supprimer le plugin et le réinstaller en partant de zéro (re-téléchargement du market, ré-installation des dépendances, découverte et récupération du mot de passe) pour y arriver.
J'attends vos réactions pour savoir si chez vous aussi cette mise à jour résout le problème ... ou pas.

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 16 juin 2019, 10:26

J'ai oublié un truc: si vous avez des icônes manquantes (par exemple les icônes des commandes sur le widget), c'est simplement que votre Jeedom n'est pas à jour, car j'ai utilisé la dernière version de Fontawesome donc il faut un Jeedom bien à jour.

Vins222
Timide
Messages : 29
Inscription : 23 juil. 2017, 16:59

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Vins222 » 17 juin 2019, 09:12

Merci beaucoup @Jiminy pour cette MAJ je teste et te redit !
Sur ce bonne journée !


Envoyé de mon iPhone en utilisant Tapatalk

Tommaximmo
Timide
Messages : 5
Inscription : 14 avr. 2019, 09:13

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par Tommaximmo » 17 juin 2019, 13:01

Bonjour,
Merci pour le retour. Après rapide test ce matin, les dépendances sont toujours KO chez moi. J'y regarde de plus près ce soir.

Avatar de l’utilisateur
jiminy
Actif
Messages : 664
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par jiminy » 17 juin 2019, 14:45

Tommaximmo a écrit :
17 juin 2019, 13:01
Bonjour,
Merci pour le retour. Après rapide test ce matin, les dépendances sont toujours KO chez moi. J'y regarde de plus près ce soir.
Ca c'est bizarre. Peux tu mettre les logs ? Et aussi me dire sur quoi tourne ton Jeedom (min+, rpi, docker, smart, nuc, ...)

pykforum
Timide
Messages : 5
Inscription : 28 mai 2019, 18:07

Re: [Plugin Tiers][Sujet Principal] Kroomba

Message par pykforum » 17 juin 2019, 20:22

C’est parfait!
Un grand merci, tout marche correctement chez moi!
Py

Répondre

Revenir vers « [Catégorie] Objets connectés »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité